import h5py
from matplotlib.pylab import *

base_hdf5 = h5py.File('fids.h5','r')
dataset = base_hdf5['simuladob']
fid_original = dataset[...] 
t = arange(0,len(fid_original[0,:]) - 1,1) # abscissa do fid original (tempo)

fid_original_real=fid_original[0,t]
fid_original_imag=fid_original[1,t]
fid_original_complexo=fid_original_real+fid_original_imag*1j
FFT_exibicao = fft(fid_original_complexo)
FFT_exibicao = FFT_exibicao / max(abs(FFT_exibicao ))
FFT_exibicao=FFT_exibicao[::-1] #inverter para ficar no padrao de visualizacao de fisicos 
FFT_exibicao = fftshift(FFT_exibicao)
FFT_exibicao_real = FFT_exibicao.real
FFT_exibicao_imag = FFT_exibicao.imag
TAM_FFT_exibicao=len(FFT_exibicao)
timestep_exibicao = 1
freq_exibicao = fftfreq(TAM_FFT_exibicao, d=timestep_exibicao) 
freq_exibicao = fftshift(freq_exibicao)

subplot(221)
plot(t, fid_original_real, 'r', label="FID parte real")
legend(bbox_to_anchor=(0., 1., 1., .102), loc=3, ncol=2, mode="expand", borderaxespad=0.)

subplot(222)
plot(t, fid_original_imag, 'b', label="FID parte imaginaria")
legend(bbox_to_anchor=(0., 1., 1., .102), loc=3, ncol=2, mode="expand", borderaxespad=0.)

subplot(223)
plot(freq_exibicao, FFT_exibicao_real, 'r', label="FFT parte real")
legend(bbox_to_anchor=(0., 1., 1., .102), loc=3, ncol=2, mode="expand", borderaxespad=0.)

subplot(224)
plot(freq_exibicao, FFT_exibicao_imag, 'b', label="FFT parte imaginaria")
legend(bbox_to_anchor=(0., 1., 1., .102), loc=3, ncol=2, mode="expand", borderaxespad=0.)


show()

